Project

General

Profile

Actions

Bug #21434

closed

error in system update technique on ubuntu 22.04

Added by Nicolas CHARLES 2 months ago. Updated 23 days ago.

Status:
Released
Priority:
N/A
Category:
Techniques
Target version:
Severity:
UX impact:
User visibility:
Effort required:
Priority:
0
Regression:

Description

at the time of the run, I got the following error

'bool' object is not callable

it seems that nearly everything was updated

# apt list --upgradable
Listing... Done
linux-image-generic/jammy-updates,jammy-security 5.15.0.41.43 amd64 [upgradable from: 5.15.0.30.33]
N: There are 2 additional versions. Please use the '-a' switch to see them.

Actions #1

Updated by Nicolas CHARLES 2 months ago

  • Subject changed from error in system update technique to error in system update technique on ubuntu 22.04
Actions #2

Updated by Nicolas CHARLES 2 months ago

  • Description updated (diff)
Actions #3

Updated by Nicolas CHARLES 2 months ago

I have an unknown report saying

    2022-07-19 12:10:25+0000    Unknown
    Global configuration for all nodes    System Update Campaign    campaign-system-update    update_all    {"software-updated": [{"name": "apparmor", "arch": "amd64", "old-version": "3.0.4-2ubuntu2", "new-version": "3.0.4-2ubuntu2.1", "action": "updated"}, {"name": "cloud-init", "arch": "all", "old-version": "22.1-14-g2e17a0d6-0ubuntu1~22.04.5", "new-version": "22.2-0ubuntu1~22.04.3", "action": "updated"}, {"name": "curl", "arch": "amd64", "old-version": "7.81.0-1ubuntu1.2", "new-version": "7.81.0-1ubuntu1.3", "action": "updated"}, {"name": "dirmngr", "arch": "amd64", "old-version": "2.2.27-3ubuntu2", "new-version": "2.2.27-3ubuntu2.1", "action": "updated"}, {"name": "dpkg", "arch": "amd64", "old-version": "1.21.1ubuntu2", "new-version": "1.21.1ubuntu2.1", "action": "updated"}, {"name": "e2fsprogs", "arch": "amd64", "old-version": "1.46.5-2ubuntu1", "new-version": "1.46.5-2ubuntu1.1", "action": "updated"}, {"name": "git", "arch": "amd64", "old-version": "1:2.34.1-1ubuntu1.2", "new-version": "1:2.34.1-1ubuntu1.4", "action": "updated"}, {"name": "git-man", "arch": "all", "old-version": "1:2.34.1-1ubuntu1.2", "new-version": "1:2.34.1-1ubuntu1.4", "action": "updated"}, {"name": "gnupg", "arch": "all", "old-version": "2.2.27-3ubuntu2", "new-version": "2.2.27-3ubuntu2.1", "action": "updated"}, {"name": "gnupg-l10n", "arch": "all", "old-version": "2.2.27-3ubuntu2", "new-version": "2.2.27-3ubuntu2.1", "action": "updated"}, {"name": "gnupg-utils", "arch": "amd64", "old-version": "2.2.27-3ubuntu2", "new-version": "2.2.27-3ubuntu2.1", "action": "updated"}, {"name": "gpg", "arch": "amd64", "old-version": "2.2.27-3ubuntu2", "new-version": "2.2.27-3ubuntu2.1", "action": "updated"}, {"name": "gpg-agent", "arch": "amd64", "old-version": "2.2.27-3ubuntu2", "new-version": "2.2.27-3ubuntu2.1", "action": "updated"}, {"name": "gpg-wks-client", "arch": "amd64", "old-version": "2.2.27-3ubuntu2", "new-version": "2.2.27-3ubuntu2.1", "action": "updated"}, {"name": "gpg-wks-server", "arch": "amd64", "old-version": "2.2.27-3ubuntu2", "new-version": "2.2.27-3ubuntu2.1", "action": "updated"}, {"name": "gpgconf", "arch": "amd64", "old-version": "2.2.27-3ubuntu2", "new-version": "2.2.27-3ubuntu2.1", "action": "updated"}, {"name": "gpgsm", "arch": "amd64", "old-version": "2.2.27-3ubuntu2", "new-version": "2.2.27-3ubuntu2.1", "action": "updated"}, {"name": "gpgv", "arch": "amd64", "old-version": "2.2.27-3ubuntu2", "new-version": "2.2.27-3ubuntu2.1", "action": "updated"}, {"name": "intel-microcode", "arch": "amd64", "old-version": "3.20210608.2ubuntu1", "new-version": "3.20220510.0ubuntu0.22.04.1", "action": "updated"}, {"name": "isc-dhcp-client", "arch": "amd64", "old-version": "4.4.1-2.3ubuntu2", "new-version": "4.4.1-2.3ubuntu2.1", "action": "updated"}, {"name": "isc-dhcp-common", "arch": "amd64", "old-version": "4.4.1-2.3ubuntu2", "new-version": "4.4.1-2.3ubuntu2.1", "action": "updated"}, {"name": "libapparmor1", "arch": "amd64", "old-version": "3.0.4-2ubuntu2", "new-version": "3.0.4-2ubuntu2.1", "action": "updated"}, {"name": "libcom-err2", "arch": "amd64", "old-version": "1.46.5-2ubuntu1", "new-version": "1.46.5-2ubuntu1.1", "action": "updated"}, {"name": "libcurl3-gnutls", "arch": "amd64", "old-version": "7.81.0-1ubuntu1.2", "new-version": "7.81.0-1ubuntu1.3", "action": "updated"}, {"name": "libcurl4", "arch": "amd64", "old-version": "7.81.0-1ubuntu1.2", "new-version": "7.81.0-1ubuntu1.3", "action": "updated"}, {"name": "libext2fs2", "arch": "amd64", "old-version": "1.46.5-2ubuntu1", "new-version": "1.46.5-2ubuntu1.1", "action": "updated"}, {"name": "libjson-c5", "arch": "amd64", "old-version": "0.15-2build4", "new-version": "0.15-3~ubuntu1.22.04.1", "action": "updated"}, {"name": "libldap-common", "arch": "all", "old-version": "2.5.11+dfsg-1~exp1ubuntu3.1", "new-version": "2.5.12+dfsg-0ubuntu0.22.04.1", "action": "updated"}, {"name": "libnss-systemd", "arch": "amd64", "old-version": "249.11-0ubuntu3.1", "new-version": "249.11-0ubuntu3.4", "action": "updated"}, {"name": "libnss3", "arch": "amd64", "old-version": "2:3.68.2-0ubuntu1", "new-version": "2:3.68.2-0ubuntu1.1", "action": "updated"}, {"name": "libntfs-3g89", "arch": "amd64", "old-version": "1:2021.8.22-3ubuntu1", "new-version": "1:2021.8.22-3ubuntu1.1", "action": "updated"}, {"name": "libpam-systemd", "arch": "amd64", "old-version": "249.11-0ubuntu3.1", "new-version": "249.11-0ubuntu3.4", "action": "updated"}, {"name": "libpython3.10", "arch": "amd64", "old-version": "3.10.4-3", "new-version": "3.10.4-3ubuntu0.1", "action": "updated"}, {"name": "libpython3.10-minimal", "arch": "amd64", "old-version": "3.10.4-3", "new-version": "3.10.4-3ubuntu0.1", "action": "updated"}, {"name": "libpython3.10-stdlib", "arch": "amd64", "old-version": "3.10.4-3", "new-version": "3.10.4-3ubuntu0.1", "action": "updated"}, {"name": "libss2", "arch": "amd64", "old-version": "1.46.5-2ubuntu1", "new-version": "1.46.5-2ubuntu1.1", "action": "updated"}, {"name": "libssl3", "arch": "amd64", "old-version": "3.0.2-0ubuntu1.2", "new-version": "3.0.2-0ubuntu1.6", "action": "updated"}, {"name": "libsystemd0", "arch": "amd64", "old-version": "249.11-0ubuntu3.1", "new-version": "249.11-0ubuntu3.4", "action": "updated"}, {"name": "libudev1", "arch": "amd64", "old-version": "249.11-0ubuntu3.1", "new-version": "249.11-0ubuntu3.4", "action": "updated"}, {"name": "libusb-1.0-0", "arch": "amd64", "old-version": "2:1.0.25-1ubuntu1", "new-version": "2:1.0.25-1ubuntu2", "action": "updated"}, {"name": "linux-firmware", "arch": "all", "old-version": "20220329.git681281e4-0ubuntu3", "new-version": "20220329.git681281e4-0ubuntu3.2", "action": "updated"}, {"name": "logrotate", "arch": "amd64", "old-version": "3.19.0-1ubuntu1", "new-version": "3.19.0-1ubuntu1.1", "action": "updated"}, {"name": "logsave", "arch": "amd64", "old-version": "1.46.5-2ubuntu1", "new-version": "1.46.5-2ubuntu1.1", "action": "updated"}, {"name": "ntfs-3g", "arch": "amd64", "old-version": "1:2021.8.22-3ubuntu1", "new-version": "1:2021.8.22-3ubuntu1.1", "action": "updated"}, {"name": "openssl", "arch": "amd64", "old-version": "3.0.2-0ubuntu1.2", "new-version": "3.0.2-0ubuntu1.6", "action": "updated"}, {"name": "python3-software-properties", "arch": "all", "old-version": "0.99.22.1", "new-version": "0.99.22.2", "action": "updated"}, {"name": "python3.10", "arch": "amd64", "old-version": "3.10.4-3", "new-version": "3.10.4-3ubuntu0.1", "action": "updated"}, {"name": "python3.10-minimal", "arch": "amd64", "old-version": "3.10.4-3", "new-version": "3.10.4-3ubuntu0.1", "action": "updated"}, {"name": "snapd", "arch": "amd64", "old-version": "2.55.3+22.04ubuntu1", "new-version": "2.55.5+22.04", "action": "updated"}, {"name": "software-properties-common", "arch": "all", "old-version": "0.99.22.1", "new-version": "0.99.22.2", "action": "updated"}, {"name": "systemd", "arch": "amd64", "old-version": "249.11-0ubuntu3.1", "new-version": "249.11-0ubuntu3.4", "action": "updated"}, {"name": "systemd-sysv", "arch": "amd64", "old-version": "249.11-0ubuntu3.1", "new-version": "249.11-0ubuntu3.4", "action": "updated"}, {"name": "systemd-timesyncd", "arch": "amd64", "old-version": "249.11-0ubuntu3.1", "new-version": "249.11-0ubuntu3.4", "action": "updated"}, {"name": "ubuntu-advantage-tools", "arch": "amd64", "old-version": "27.8~22.04.1", "new-version": "27.9~22.04.1", "action": "updated"}, {"name": "udev", "arch": "amd64", "old-version": "249.11-0ubuntu3.1", "new-version": "249.11-0ubuntu3.4", "action": "updated"}], "status": "repaired", "output": "Hit:1 http://repository.rudder.io/apt/7.2-nightly jammy InRelease\nHit:2 http://archive.ubuntu.com/ubuntu jammy InRelease\nGet:3 http://security.ubuntu.com/ubuntu jammy-security InRelease [110 kB]\nGet:4 http://archive.ubuntu.com/ubuntu jammy-updates InRelease [114 kB]\nGet:5 http://security.ubuntu.com/ubuntu jammy-security/main amd64 Packages [225 kB]\nGet:6 http://archive.ubuntu.com/ubuntu jammy-backports InRelease [99.8 kB]\nGet:7 http://security.ubuntu.com/ubuntu jammy-security/main Translation-en [54.7 kB]\nFetched 604 kB in 1s (660 kB/s)\nReading package lists...\n\nReading package lists...\nBuilding dependency tree...\nReading state information...\nCalculating upgrade...\nThe following packages have been kept back:\n linux-image-generic\nThe following packages will be upgraded:\n apparmor cloud-init curl dirmngr dpkg e2fsprogs git git-man gnupg gnupg-l10n\n gnupg-utils gpg gpg-agent gpg-wks-client gpg-wks-server gpgconf gpgsm gpgv\n intel-microcode isc-dhcp-client isc-dhcp-common libapparmor1 libcom-err2\n libcurl3-gnutls libcurl4 libext2fs2 libjson-c5 libldap-common libnss-systemd\n libnss3 libntfs-3g89 libpam-systemd libpython3.10 libpython3.10-minimal\n libpython3.10-stdlib libss2 libssl3 libsystemd0 libudev1 libusb-1.0-0\n linux-firmware logrotate logsave ntfs-3g openssl python3-software-properties\n python3.10 python3.10-minimal snapd software-properties-common systemd\n systemd-sysv systemd-timesyncd ubuntu-advantage-tools udev\n55 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.\n35 standard security updates\nNeed to get 294 MB of archives.\nAfter this operation, 1822 kB of additional disk space will be used.\nGet:1 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 dpkg amd64 1.21.1ubuntu2.1 [1239 kB]\nGet:2 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 libnss-systemd amd64 249.11-0ubuntu3.4 [133 kB]\nGet:3 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 libsystemd0 amd64 249.11-0ubuntu3.4 [316 kB]\nGet:4 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 systemd-timesyncd amd64 249.11-0ubuntu3.4 [31.2 kB]\nGet:5 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 systemd-sysv amd64 249.11-0ubuntu3.4 [10.5 kB]\nGet:6 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 libpam-systemd amd64 249.11-0ubuntu3.4 [203 kB]\nGet:7 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 systemd amd64 249.11-0ubuntu3.4 [4580 kB]\nGet:8 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 udev amd64 249.11-0ubuntu3.4 [1557 kB]\nGet:9 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 libudev1 amd64 249.11-0ubuntu3.4 [75.9 kB]\nGet:10 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 libapparmor1 amd64 3.0.4-2ubuntu2.1 [38.7 kB]\nGet:11 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 libssl3 amd64 3.0.2-0ubuntu1.6 [1900 kB]\nGet:12 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 logsave amd64 1.46.5-2ubuntu1.1 [9932 B]\nGet:13 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 libext2fs2 amd64 1.46.5-2ubuntu1.1 [208 kB]\nGet:14 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 e2fsprogs amd64 1.46.5-2ubuntu1.1 [591 kB]\nGet:15 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 libpython3.10 amd64 3.10.4-3ubuntu0.1 [1952 kB]\nGet:16 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 python3.10 amd64 3.10.4-3ubuntu0.1 [488 kB]\nGet:17 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 libpython3.10-stdlib amd64 3.10.4-3ubuntu0.1 [1830 kB]\nGet:18 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 python3.10-minimal amd64 3.10.4-3ubuntu0.1 [2258 kB]\nGet:19 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 libpython3.10-minimal amd64 3.10.4-3ubuntu0.1 [809 kB]\nGet:20 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 ntfs-3g amd64 1:2021.8.22-3ubuntu1.1 [408 kB]\nGet:21 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 libntfs-3g89 amd64 1:2021.8.22-3ubuntu1.1 [161 kB]\nGet:22 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 libcom-err2 amd64 1.46.5-2ubuntu1.1 [9158 B]\nGet:23 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 gpg-wks-client amd64 2.2.27-3ubuntu2.1 [62.7 kB]\nGet:24 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 dirmngr amd64 2.2.27-3ubuntu2.1 [293 kB]\nGet:25 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 gnupg-utils amd64 2.2.27-3ubuntu2.1 [308 kB]\nGet:26 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 gpg-wks-server amd64 2.2.27-3ubuntu2.1 [57.5 kB]\nGet:27 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 gpg-agent amd64 2.2.27-3ubuntu2.1 [209 kB]\nGet:28 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 gpg amd64 2.2.27-3ubuntu2.1 [519 kB]\nGet:29 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 gpgconf amd64 2.2.27-3ubuntu2.1 [94.2 kB]\nGet:30 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 gnupg-l10n all 2.2.27-3ubuntu2.1 [54.4 kB]\nGet:31 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 gnupg all 2.2.27-3ubuntu2.1 [315 kB]\nGet:32 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 gpgsm amd64 2.2.27-3ubuntu2.1 [197 kB]\nGet:33 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 gpgv amd64 2.2.27-3ubuntu2.1 [137 kB]\nGet:34 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 libss2 amd64 1.46.5-2ubuntu1.1 [12.3 kB]\nGet:35 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 isc-dhcp-client amd64 4.4.1-2.3ubuntu2.1 [234 kB]\nGet:36 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 isc-dhcp-common amd64 4.4.1-2.3ubuntu2.1 [44.5 kB]\nGet:37 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 libjson-c5 amd64 0.15-3~ubuntu1.22.04.1 [33.5 kB]\nGet:38 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 logrotate amd64 3.19.0-1ubuntu1.1 [54.3 kB]\nGet:39 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 openssl amd64 3.0.2-0ubuntu1.6 [1184 kB]\nGet:40 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 ubuntu-advantage-tools amd64 27.9~22.04.1 [849 kB]\nGet:41 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 apparmor amd64 3.0.4-2ubuntu2.1 [590 kB]\nGet:42 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 libusb-1.0-0 amd64 2:1.0.25-1ubuntu2 [52.7 kB]\nGet:43 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 curl amd64 7.81.0-1ubuntu1.3 [194 kB]\nGet:44 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 libcurl4 amd64 7.81.0-1ubuntu1.3 [290 kB]\nGet:45 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 libcurl3-gnutls amd64 7.81.0-1ubuntu1.3 [284 kB]\nGet:46 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 git-man all 1:2.34.1-1ubuntu1.4 [952 kB]\nGet:47 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 git amd64 1:2.34.1-1ubuntu1.4 [3131 kB]\nGet:48 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 libldap-common all 2.5.12+dfsg-0ubuntu0.22.04.1 [16.4 kB]\nGet:49 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 libnss3 amd64 2:3.68.2-0ubuntu1.1 [1280 kB]\nGet:50 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 linux-firmware all 20220329.git681281e4-0ubuntu3.2 [238 MB]\nGet:51 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 software-properties-common all 0.99.22.2 [14.1 kB]\nGet:52 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 python3-software-properties all 0.99.22.2 [28.8 kB]\nGet:53 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 snapd amd64 2.55.5+22.04 [21.6 MB]\nGet:54 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 cloud-init all 22.2-0ubuntu1~22.04.3 [486 kB]\nGet:55 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 intel-microcode amd64 3.20220510.0ubuntu0.22.04.1 [4032 kB]\nPreconfiguring packages ...\nFetched 294 MB in 17s (17.4 MB/s)\n(Reading database ... \r(Reading database ... 5%\r(Reading database ... 10%\r(Reading database ... 15%\r(Reading database ... 20%\r(Reading database ... 25%\r(Reading database ... 30%\r(Reading database ... 35%\r(Reading database ... 40%\r(Reading database ... 45%\r(Reading database ... 50%\r(Reading database ... 55%\r(Reading database ... 60%\r(Reading database ... 65%\r(Reading database ... 70%\r(Reading database ... 75%\r(Reading database ... 80%\r(Reading database ... 85%\r(Reading database ... 90%\r(Reading database ... 95%\r(Reading database ... 100%\r(Reading database ... 53271 files and directories currently installed.)\r\nPreparing to unpack .../dpkg_1.21.1ubuntu2.1_amd64.deb ...\r\nUnpacking dpkg (1.21.1ubuntu2.1) over (1.21.1ubuntu2) ...\r\nSetting up dpkg (1.21.1ubuntu2.1) ...\r\ndpkg-db-backup.service is a disabled or a static unit not running, not starting it.\r\n(Reading database ... \r(Reading database ... 5%\r(Reading database ... 10%\r(Reading database ... 15%\r(Reading database ... 20%\r(Reading database ... 25%\r(Reading database ... 30%\r(Reading database ... 35%\r(Reading database ... 40%\r(Reading database ... 45%\r(Reading database ... 50%\r(Reading database ... 55%\r(Reading database ... 60%\r(Reading database ... 65%\r(Reading database ... 70%\r(Reading database ... 75%\r(Reading database ... 80%\r(Reading database ... 85%\r(Reading database ... 90%\r(Reading database ... 95%\r(Reading database ... 100%\r(Reading database ... 53271 files and directories currently installed.)\r\nPreparing to unpack .../libnss-systemd_249.11-0ubuntu3.4_amd64.deb ...\r\nUnpacking libnss-systemd:amd64 (249.11-0ubuntu3.4) over (249.11-0ubuntu3.1) ...\r\nPreparing to unpack .../libsystemd0_249.11-0ubuntu3.4_amd64.deb ...\r\nUnpacking libsystemd0:amd64 (249.11-0ubuntu3.4) over (249.11-0ubuntu3.1) ...\r\nSetting up libsystemd0:amd64 (249.11-0ubuntu3.4) ...\r\n(Reading database ... \r(Reading database ... 5%\r(Reading database ... 10%\r(Reading database ... 15%\r(Reading database ... 20%\r(Reading database ... 25%\r(Reading database ... 30%\r(Reading database ... 35%\r(Reading database ... 40%\r(Reading database ... 45%\r(Reading database ... 50%\r(Reading database ... 55%\r(Reading database ... 60%\r(Reading database ... 65%\r(Reading database ... 70%\r(Reading database ... 75%\r(Reading database ... 80%\r(Reading database ... 85%\r(Reading database ... 90%\r(Reading database ... 95%\r(Reading database ... 100%\r(Reading database ... 53271 files and directories currently installed.)\r\nPreparing to unpack .../0-systemd-timesyncd_249.11-0ubuntu3.4_amd64.deb ...\r\nUnpacking systemd-timesyncd (249.11-0ubuntu3.4) over (249.11-0ubuntu3.1) ...\r\nPreparing to unpack .../1-systemd-sysv_249.11-0ubuntu3.4_amd64.deb ...\r\nUnpacking systemd-sysv (249.11-0ubuntu3.4) over (249.11-0ubuntu3.1) ...\r\nPreparing to unpack .../2-libpam-systemd_249.11-0ubuntu3.4_amd64.deb ...\r\nUnpacking libpam-systemd:amd64 (249.11-0ubuntu3.4) over (249.11-0ubuntu3.1) ...\r\nPreparing to unpack .../3-systemd_249.11-0ubuntu3.4_amd64.deb ...\r\nUnpacking systemd (249.11-0ubuntu3.4) over (249.11-0ubuntu3.1) ...\r\nPreparing to unpack .../4-udev_249.11-0ubuntu3.4_amd64.deb ...\r\nUnpacking udev (249.11-0ubuntu3.4) over (249.11-0ubuntu3.1) ...\r\nPreparing to unpack .../5-libudev1_249.11-0ubuntu3.4_amd64.deb ...\r\nUnpacking libudev1:amd64 (249.11-0ubuntu3.4) over (249.11-0ubuntu3.1) ...\r\nSetting up libudev1:amd64 (249.11-0ubuntu3.4) ...\r\n(Reading database ... \r(Reading database ... 5%\r(Reading database ... 10%\r(Reading database ... 15%\r(Reading database ... 20%\r(Reading database ... 25%\r(Reading database ... 30%\r(Reading database ... 35%\r(Reading database ... 40%\r(Reading database ... 45%\r(Reading database ... 50%\r(Reading database ... 55%\r(Reading database ... 60%\r(Reading database ... 65%\r(Reading database ... 70%\r(Reading database ... 75%\r(Reading database ... 80%\r(Reading database ... 85%\r(Reading database ... 90%\r(Reading database ... 95%\r(Reading database ... 100%\r(Reading database ... 53271 files and directories currently installed.)\r\nPreparing to unpack .../libapparmor1_3.0.4-2ubuntu2.1_amd64.deb ...\r\nUnpacking libapparmor1:amd64 (3.0.4-2ubuntu2.1) over (3.0.4-2ubuntu2) ...\r\nPreparing to unpack .../libssl3_3.0.2-0ubuntu1.6_amd64.deb ...\r\nUnpacking libssl3:amd64 (3.0.2-0ubuntu1.6) over (3.0.2-0ubuntu1.2) ...\r\nSetting up libssl3:amd64 (3.0.2-0ubuntu1.6) ...\r\n(Reading database ... \r(Reading database ... 5%\r(Reading database ... 10%\r(Reading database ... 15%\r(Reading database ... 20%\r(Reading database ... 25%\r(Reading database ... 30%\r(Reading database ... 35%\r(Reading database ... 40%\r(Reading database ... 45%\r(Reading database ... 50%\r(Reading database ... 55%\r(Reading database ... 60%\r(Reading database ... 65%\r(Reading database ... 70%\r(Reading database ... 75%\r(Reading database ... 80%\r(Reading database ... 85%\r(Reading database ... 90%\r(Reading database ... 95%\r(Reading database ... 100%\r(Reading database ... 53271 files and directories currently installed.)\r\nPreparing to unpack .../logsave_1.46.5-2ubuntu1.1_amd64.deb ...\r\nUnpacking logsave (1.46.5-2ubuntu1.1) over (1.46.5-2ubuntu1) ...\r\nPreparing to unpack .../libext2fs2_1.46.5-2ubuntu1.1_amd64.deb ...\r\nUnpacking libext2fs2:amd64 (1.46.5-2ubuntu1.1) over (1.46.5-2ubuntu1) ...\r\nSetting up libext2fs2:amd64 (1.46.5-2ubuntu1.1) ...\r\n(Reading database ... \r(Reading database ... 5%\r(Reading database ... 10%\r(Reading database ... 15%\r(Reading database ... 20%\r(Reading database ... 25%\r(Reading database ... 30%\r(Reading database ... 35%\r(Reading database ... 40%\r(Reading database ... 45%\r(Reading database ... 50%\r(Reading database ... 55%\r(Reading database ... 60%\r(Reading database ... 65%\r(Reading database ... 70%\r(Reading database ... 75%\r(Reading database ... 80%\r(Reading database ... 85%\r(Reading database ... 90%\r(Reading database ... 95%\r(Reading database ... 100%\r(Reading database ... 53271 files and directories currently installed.)\r\nPreparing to unpack .../0-e2fsprogs_1.46.5-2ubuntu1.1_amd64.deb ...\r\nUnpacking e2fsprogs (1.46.5-2ubuntu1.1) over (1.46.5-2ubuntu1) ...\r\nPreparing to unpack .../1-libpython3.10_3.10.4-3ubuntu0.1_amd64.deb ...\r\nUnpacking libpython3.10:amd64 (3.10.4-3ubuntu0.1) over (3.10.4-3) ...\r\nPreparing to unpack .../2-python3.10_3.10.4-3ubuntu0.1_amd64.deb ...\r\nUnpacking python3.10 (3.10.4-3ubuntu0.1) over (3.10.4-3) ...\r\nPreparing to unpack .../3-libpython3.10-stdlib_3.10.4-3ubuntu0.1_amd64.deb ...\r\nUnpacking libpython3.10-stdlib:amd64 (3.10.4-3ubuntu0.1) over (3.10.4-3) ...\r\nPreparing to unpack .../4-python3.10-minimal_3.10.4-3ubuntu0.1_amd64.deb ...\r\nUnpacking python3.10-minimal (3.10.4-3ubuntu0.1) over (3.10.4-3) ...\r\nPreparing to unpack .../5-libpython3.10-minimal_3.10.4-3ubuntu0.1_amd64.deb ...\r\nUnpacking libpython3.10-minimal:amd64 (3.10.4-3ubuntu0.1) over (3.10.4-3) ...\r\nPreparing to unpack .../6-ntfs-3g_1%3a2021.8.22-3ubuntu1.1_amd64.deb ...\r\nUnpacking ntfs-3g (1:2021.8.22-3ubuntu1.1) over (1:2021.8.22-3ubuntu1) ...\r\nPreparing to unpack .../7-libntfs-3g89_1%3a2021.8.22-3ubuntu1.1_amd64.deb ...\r\nUnpacking libntfs-3g89 (1:2021.8.22-3ubuntu1.1) over (1:2021.8.22-3ubuntu1) ...\r\nPreparing to unpack .../8-libcom-err2_1.46.5-2ubuntu1.1_amd64.deb ...\r\nUnpacking libcom-err2:amd64 (1.46.5-2ubuntu1.1) over (1.46.5-2ubuntu1) ...\r\nSetting up libcom-err2:amd64 (1.46.5-2ubuntu1.1) ...\r\n(Reading database ... \r(Reading database ... 5%\r(Reading database ... 10%\r(Reading database ... 15%\r(Reading database ... 20%\r(Reading database ... 25%\r(Reading database ... 30%\r(Reading database ... 35%\r(Reading database ... 40%\r(Reading database ... 45%\r(Reading database ... 50%\r(Reading database ... 55%\r(Reading database ... 60%\r(Reading database ... 65%\r(Reading database ... 70%\r(Reading database ... 75%\r(Reading database ... 80%\r(Reading database ... 85%\r(Reading database ... 90%\r(Reading database ... 95%\r(Reading database ... 100%\r(Reading database ... 53271 files and directories currently installed.)\r\nPreparing to unpack .../00-gpg-wks-client_2.2.27-3ubuntu2.1_amd64.deb ...\r\nUnpacking gpg-wks-client (2.2.27-3ubuntu2.1) over (2.2.27-3ubuntu2) ...\r\nPreparing to unpack .../01-dirmngr_2.2.27-3ubuntu2.1_amd64.deb ...\r\nUnpacking dirmngr (2.2.27-3ubuntu2.1) over (2.2.27-3ubuntu2) ...\r\nPreparing to unpack .../02-gnupg-utils_2.2.27-3ubuntu2.1_amd64.deb ...\r\nUnpacking gnupg-utils (2.2.27-3ubuntu2.1) over (2.2.27-3ubuntu2) ...\r\nPreparing to unpack .../03-gpg-wks-server_2.2.27-3ubuntu2.1_amd64.deb ...\r\nUnpacking gpg-wks-server (2.2.27-3ubuntu2.1) over (2.2.27-3ubuntu2) ...\r\nPreparing to unpack .../04-gpg-agent_2.2.27-3ubuntu2.1_amd64.deb ...\r\nUnpacking gpg-agent (2.2.27-3ubuntu2.1) over (2.2.27-3ubuntu2) ...\r\nPreparing to unpack .../05-gpg_2.2.27-3ubuntu2.1_amd64.deb ...\r\nUnpacking gpg (2.2.27-3ubuntu2.1) over (2.2.27-3ubuntu2) ...\r\nPreparing to unpack .../06-gpgconf_2.2.27-3ubuntu2.1_amd64.deb ...\r\nUnpacking gpgconf (2.2.27-3ubuntu2.1) over (2.2.27-3ubuntu2) ...\r\nPreparing to unpack .../07-gnupg-l10n_2.2.27-3ubuntu2.1_all.deb ...\r\nUnpacking gnupg-l10n (2.2.27-3ubuntu2.1) over (2.2.27-3ubuntu2) ...\r\nPreparing to unpack .../08-gnupg_2.2.27-3ubuntu2.1_all.deb ...\r\nUnpacking gnupg (2.2.27-3ubuntu2.1) over (2.2.27-3ubuntu2) ...\r\nPreparing to unpack .../09-gpgsm_2.2.27-3ubuntu2.1_amd64.deb ...\r\nUnpacking gpgsm (2.2.27-3ubuntu2.1) over (2.2.27-3ubuntu2) ...\r\nPreparing to unpack .../10-gpgv_2.2.27-3ubuntu2.1_amd64.deb ...\r\nUnpacking gpgv (2.2.27-3ubuntu2.1) over (2.2.27-3ubuntu2) ...\r\nSetting up gpgv (2.2.27-3ubuntu2.1) ...\r\n(Reading database ... \r(Reading database ... 5%\r(Reading database ... 10%\r(Reading database ... 15%\r(Reading database ... 20%\r(Reading database ... 25%\r(Reading database ... 30%\r(Reading database ... 35%\r(Reading database ... 40%\r(Reading database ... 45%\r(Reading database ... 50%\r(Reading database ... 55%\r(Reading database ... 60%\r(Reading database ... 65%\r(Reading database ... 70%\r(Reading database ... 75%\r(Reading database ... 80%\r(Reading database ... 85%\r(Reading database ... 90%\r(Reading database ... 95%\r(Reading database ... 100%\r(Reading database ... 53271 files and directories currently installed.)\r\nPreparing to unpack .../00-libss2_1.46.5-2ubuntu1.1_amd64.deb ...\r\nUnpacking libss2:amd64 (1.46.5-2ubuntu1.1) over (1.46.5-2ubuntu1) ...\r\nPreparing to unpack .../01-isc-dhcp-client_4.4.1-2.3ubuntu2.1_amd64.deb ...\r\nUnpacking isc-dhcp-client (4.4.1-2.3ubuntu2.1) over (4.4.1-2.3ubuntu2) ...\r\nPreparing to unpack .../02-isc-dhcp-common_4.4.1-2.3ubuntu2.1_amd64.deb ...\r\nUnpacking isc-dhcp-common (4.4.1-2.3ubuntu2.1) over (4.4.1-2.3ubuntu2) ...\r\nPreparing to unpack .../03-libjson-c5_0.15-3~ubuntu1.22.04.1_amd64.deb ...\r\nUnpacking libjson-c5:amd64 (0.15-3~ubuntu1.22.04.1) over (0.15-2build4) ...\r\nPreparing to unpack .../04-logrotate_3.19.0-1ubuntu1.1_amd64.deb ...\r\nUnpacking logrotate (3.19.0-1ubuntu1.1) over (3.19.0-1ubuntu1) ...\r\nPreparing to unpack .../05-openssl_3.0.2-0ubuntu1.6_amd64.deb ...\r\nUnpacking openssl (3.0.2-0ubuntu1.6) over (3.0.2-0ubuntu1.2) ...\r\nPreparing to unpack .../06-ubuntu-advantage-tools_27.9~22.04.1_amd64.deb ...\r\nUnpacking ubuntu-advantage-tools (27.9~22.04.1) over (27.8~22.04.1) ...\r\nPreparing to unpack .../07-apparmor_3.0.4-2ubuntu2.1_amd64.deb ...\r\nUnpacking apparmor (3.0.4-2ubuntu2.1) over (3.0.4-2ubuntu2) ...\r\nPreparing to unpack .../08-libusb-1.0-0_2%3a1.0.25-1ubuntu2_amd64.deb ...\r\nUnpacking libusb-1.0-0:amd64 (2:1.0.25-1ubuntu2) over (2:1.0.25-1ubuntu1) ...\r\nPreparing to unpack .../09-curl_7.81.0-1ubuntu1.3_amd64.deb ...\r\nUnpacking curl (7.81.0-1ubuntu1.3) over (7.81.0-1ubuntu1.2) ...\r\nPreparing to unpack .../10-libcurl4_7.81.0-1ubuntu1.3_amd64.deb ...\r\nUnpacking libcurl4:amd64 (7.81.0-1ubuntu1.3) over (7.81.0-1ubuntu1.2) ...\r\nPreparing to unpack .../11-libcurl3-gnutls_7.81.0-1ubuntu1.3_amd64.deb ...\r\nUnpacking libcurl3-gnutls:amd64 (7.81.0-1ubuntu1.3) over (7.81.0-1ubuntu1.2) ...\r\nPreparing to unpack .../12-git-man_1%3a2.34.1-1ubuntu1.4_all.deb ...\r\nUnpacking git-man (1:2.34.1-1ubuntu1.4) over (1:2.34.1-1ubuntu1.2) ...\r\nPreparing to unpack .../13-git_1%3a2.34.1-1ubuntu1.4_amd64.deb ...\r\nUnpacking git (1:2.34.1-1ubuntu1.4) over (1:2.34.1-1ubuntu1.2) ...\r\nPreparing to unpack .../14-libldap-common_2.5.12+dfsg-0ubuntu0.22.04.1_all.deb ...\r\nUnpacking libldap-common (2.5.12+dfsg-0ubuntu0.22.04.1) over (2.5.11+dfsg-1~exp1ubuntu3.1) ...\r\nPreparing to unpack .../15-libnss3_2%3a3.68.2-0ubuntu1.1_amd64.deb ...\r\nUnpacking libnss3:amd64 (2:3.68.2-0ubuntu1.1) over (2:3.68.2-0ubuntu1) ...\r\nPreparing to unpack .../16-linux-firmware_20220329.git681281e4-0ubuntu3.2_all.deb ...\r\nUnpacking linux-firmware (20220329.git681281e4-0ubuntu3.2) over (20220329.git681281e4-0ubuntu3) ...\r\nPreparing to unpack .../17-software-properties-common_0.99.22.2_all.deb ...\r\nUnpacking software-properties-common (0.99.22.2) over (0.99.22.1) ...\r\nPreparing to unpack .../18-python3-software-properties_0.99.22.2_all.deb ...\r\nUnpacking python3-software-properties (0.99.22.2) over (0.99.22.1) ...\r\nPreparing to unpack .../19-snapd_2.55.5+22.04_amd64.deb ...\r\nUnpacking snapd (2.55.5+22.04) over (2.55.3+22.04ubuntu1) ...\r\nPreparing to unpack .../20-cloud-init_22.2-0ubuntu1~22.04.3_all.deb ...\r\nUnpacking cloud-init (22.2-0ubuntu1~22.04.3) over (22.1-14-g2e17a0d6-0ubuntu1~22.04.5) ...\r\nPreparing to unpack .../21-intel-microcode_3.20220510.0ubuntu0.22.04.1_amd64.deb ...\r\nUnpacking intel-microcode (3.20220510.0ubuntu0.22.04.1) over (3.20210608.2ubuntu1) ...\r\nSetting up logrotate (3.19.0-1ubuntu1.1) ...\r\nlogrotate.service is a disabled or a static unit not running, not starting it.\r\nSetting up libapparmor1:amd64 (3.0.4-2ubuntu2.1) ...\r\nSetting up linux-firmware (20220329.git681281e4-0ubuntu3.2) ...\r\nupdate-initramfs: Generating /boot/initrd.img-5.15.0-30-generic\r\nSetting up intel-microcode (3.20220510.0ubuntu0.22.04.1) ...\r\nupdate-initramfs: deferring update (trigger activated)\r\nintel-microcode: microcode will be updated at next boot\r\nSetting up isc-dhcp-client (4.4.1-2.3ubuntu2.1) ...\r\nInstalling new version of config file /etc/apparmor.d/sbin.dhclient ...\r\nSetting up libcurl3-gnutls:amd64 (7.81.0-1ubuntu1.3) ...\r\nSetting up systemd (249.11-0ubuntu3.4) ...\r\nSetting up libnss3:amd64 (2:3.68.2-0ubuntu1.1) ...\r\nSetting up libntfs-3g89 (1:2021.8.22-3ubuntu1.1) ...\r\nSetting up libldap-common (2.5.12+dfsg-0ubuntu0.22.04.1) ...\r\nSetting up ntfs-3g (1:2021.8.22-3ubuntu1.1) ...\r\nSetting up apparmor (3.0.4-2ubuntu2.1) ...\r\nInstalling new version of config file /etc/apparmor.d/abstractions/exo-open ...\r\nReloading AppArmor profiles \r\nSkipping profile in /etc/apparmor.d/disable: usr.sbin.rsyslogd\r\nSetting up gnupg-l10n (2.2.27-3ubuntu2.1) ...\r\nSetting up systemd-timesyncd (249.11-0ubuntu3.4) ...\r\nSetting up udev (249.11-0ubuntu3.4) ...\r\nSetting up libss2:amd64 (1.46.5-2ubuntu1.1) ...\r\nSetting up libpython3.10-minimal:amd64 (3.10.4-3ubuntu0.1) ...\r\nSetting up logsave (1.46.5-2ubuntu1.1) ...\r\nSetting up gpgconf (2.2.27-3ubuntu2.1) ...\r\nSetting up libcurl4:amd64 (7.81.0-1ubuntu1.3) ...\r\nSetting up git-man (1:2.34.1-1ubuntu1.4) ...\r\nSetting up isc-dhcp-common (4.4.1-2.3ubuntu2.1) ...\r\nSetting up curl (7.81.0-1ubuntu1.3) ...\r\nSetting up ubuntu-advantage-tools (27.9~22.04.1) ...\r\nInstalling new version of config file /etc/ubuntu-advantage/uaclient.conf ...\r\nCreated symlink /etc/systemd/system/multi-user.target.wants/ubuntu-advantage.service -> /lib/systemd/system/ubuntu-advantage.service.\r\nSetting up libusb-1.0-0:amd64 (2:1.0.25-1ubuntu2) ...\r\nSetting up openssl (3.0.2-0ubuntu1.6) ...\r\nInstalling new version of config file /etc/ssl/openssl.cnf ...\r\nSetting up libjson-c5:amd64 (0.15-3~ubuntu1.22.04.1) ...\r\nSetting up gpg (2.2.27-3ubuntu2.1) ...\r\nSetting up gnupg-utils (2.2.27-3ubuntu2.1) ...\r\nSetting up snapd (2.55.5+22.04) ...\r\nsnapd.failure.service is a disabled or a static unit not running, not starting it.\r\nsnapd.snap-repair.service is a disabled or a static unit not running, not starting it.\r\nSetting up systemd-sysv (249.11-0ubuntu3.4) ...\r\nSetting up cloud-init (22.2-0ubuntu1~22.04.3) ...\r\nInstalling new version of config file /etc/cloud/cloud.cfg ...\r\nSetting up gpg-agent (2.2.27-3ubuntu2.1) ...\r\nSetting up gpgsm (2.2.27-3ubuntu2.1) ...\r\nSetting up libnss-systemd:amd64 (249.11-0ubuntu3.4) ...\r\nSetting up e2fsprogs (1.46.5-2ubuntu1.1) ...\r\nupdate-initramfs: deferring update (trigger activated)\r\ne2scrub_all.service is a disabled or a static unit not running, not starting it.\r\nSetting up python3.10-minimal (3.10.4-3ubuntu0.1) ...\r\nSetting up libpython3.10-stdlib:amd64 (3.10.4-3ubuntu0.1) ...\r\nSetting up dirmngr (2.2.27-3ubuntu2.1) ...\r\nSetting up python3-software-properties (0.99.22.2) ...\r\nSetting up git (1:2.34.1-1ubuntu1.4) ...\r\nSetting up gpg-wks-server (2.2.27-3ubuntu2.1) ...\r\nSetting up libpam-systemd:amd64 (249.11-0ubuntu3.4) ...\r\nSetting up libpython3.10:amd64 (3.10.4-3ubuntu0.1) ...\r\nSetting up python3.10 (3.10.4-3ubuntu0.1) ...\r\nSetting up gpg-wks-client (2.2.27-3ubuntu2.1) ...\r\nSetting up software-properties-common (0.99.22.2) ...\r\nSetting up gnupg (2.2.27-3ubuntu2.1) ...\r\nProcessing triggers for mailcap (3.70+nmu1ubuntu1) ...\r\nProcessing triggers for initramfs-tools (0.140ubuntu13) ...\r\nupdate-initramfs: Generating /boot/initrd.img-5.15.0-30-generic\r\nProcessing triggers for libc-bin (2.35-0ubuntu3) ...\r\nProcessing triggers for rsyslog (8.2112.0-2ubuntu2.2) ...\r\nProcessing triggers for man-db (2.10.2-1) ...\r\nProcessing triggers for dbus (1.12.20-2ubuntu4) ...\r\nProcessing triggers for install-info (6.8-4build1) ...\r\nNEEDRESTART-VER: 3.5\nNEEDRESTART-KCUR: 5.15.0-30-generic\nNEEDRESTART-KEXP: 5.15.0-30-generic\nNEEDRESTART-KSTA: 1\nNEEDRESTART-SVC: apache2.service\nNEEDRESTART-SVC: dbus.service\nNEEDRESTART-SVC: ModemManager.service\nNEEDRESTART-SVC: multipathd.service\nNEEDRESTART-SVC: networkd-dispatcher.service\nNEEDRESTART-SVC: packagekit.service\nNEEDRESTART-SVC: polkit.service\nNEEDRESTART-SVC: postgresql@14-main.service\nNEEDRESTART-SVC: rudder-cf-execd.service\nNEEDRESTART-SVC: rudder-cf-serverd.service\nNEEDRESTART-SVC: rudder-relayd.service\nNEEDRESTART-SVC: rudder-slapd.service\nNEEDRESTART-SVC: ssh.service\nNEEDRESTART-SVC: systemd-logind.service\nNEEDRESTART-SVC: udisks2.service\nNEEDRESTART-SVC: upower.service\nNEEDRESTART-SVC: user@1000.service\n", "errors": "\n"}

Actions #4

Updated by Alexis Mousset 2 months ago

  • Assignee set to Alexis Mousset
Actions #5

Updated by Nicolas CHARLES 2 months ago

removing the catch of exception show

2022-07-19T14:55:15+00:00 rudder     info: Updated '/var/rudder/cfengine-community/modules/system_update.py' from source '/var/rudder/cfengine-community/inputs/systemUpdateCampaign/1_0_40f0c2e2_4fc2_4ef1_a101_966ad9fc124f/modules//system_update.py' on 'localhost'
2022-07-19T14:55:15+00:00 rudder     info: Object '/var/rudder/cfengine-community/modules/system_update.py' had permissions 0600, changed it to 0700
2022-07-19T14:55:17+00:00 rudder     info: M '"/var/rudder/cfengine-community/modules/system_update.py" --package_manager=apt_get --campaign_id=update_all --start=2022-07-19T14:04:00+02:00 --end=2022-07-19T17:20:00+02:00 --node_id=root --agent_schedule=5 --reboot': Traceback (most recent call last):
2022-07-19T14:55:17+00:00 rudder     info: M '"/var/rudder/cfengine-community/modules/system_update.py" --package_manager=apt_get --campaign_id=update_all --start=2022-07-19T14:04:00+02:00 --end=2022-07-19T17:20:00+02:00 --node_id=root --agent_schedule=5 --reboot':   File "/var/rudder/cfengine-community/modules/system_update.py", line 573, in <module>
2022-07-19T14:55:17+00:00 rudder     info: M '"/var/rudder/cfengine-community/modules/system_update.py" --package_manager=apt_get --campaign_id=update_all --start=2022-07-19T14:04:00+02:00 --end=2022-07-19T17:20:00+02:00 --node_id=root --agent_schedule=5 --reboot':     sys.exit(main())
2022-07-19T14:55:17+00:00 rudder     info: M '"/var/rudder/cfengine-community/modules/system_update.py" --package_manager=apt_get --campaign_id=update_all --start=2022-07-19T14:04:00+02:00 --end=2022-07-19T17:20:00+02:00 --node_id=root --agent_schedule=5 --reboot':   File "/var/rudder/cfengine-community/modules/system_update.py", line 569, in main
2022-07-19T14:55:17+00:00 rudder     info: M '"/var/rudder/cfengine-community/modules/system_update.py" --package_manager=apt_get --campaign_id=update_all --start=2022-07-19T14:04:00+02:00 --end=2022-07-19T17:20:00+02:00 --node_id=root --agent_schedule=5 --reboot':     run_action(package_manager, reboot, real_start, end)
2022-07-19T14:55:17+00:00 rudder     info: M '"/var/rudder/cfengine-community/modules/system_update.py" --package_manager=apt_get --campaign_id=update_all --start=2022-07-19T14:04:00+02:00 --end=2022-07-19T17:20:00+02:00 --node_id=root --agent_schedule=5 --reboot':   File "/var/rudder/cfengine-community/modules/system_update.py", line 477, in run_action
2022-07-19T14:55:17+00:00 rudder     info: M '"/var/rudder/cfengine-community/modules/system_update.py" --package_manager=apt_get --campaign_id=update_all --start=2022-07-19T14:04:00+02:00 --end=2022-07-19T17:20:00+02:00 --node_id=root --agent_schedule=5 --reboot':     output = package_manager.run_update(reboot)
2022-07-19T14:55:17+00:00 rudder     info: M '"/var/rudder/cfengine-community/modules/system_update.py" --package_manager=apt_get --campaign_id=update_all --start=2022-07-19T14:04:00+02:00 --end=2022-07-19T17:20:00+02:00 --node_id=root --agent_schedule=5 --reboot':   File "/var/rudder/cfengine-community/modules/system_update.py", line 296, in run_update
2022-07-19T14:55:17+00:00 rudder     info: M '"/var/rudder/cfengine-community/modules/system_update.py" --package_manager=apt_get --campaign_id=update_all --start=2022-07-19T14:04:00+02:00 --end=2022-07-19T17:20:00+02:00 --node_id=root --agent_schedule=5 --reboot':     reboot()
2022-07-19T14:55:17+00:00 rudder     info: M '"/var/rudder/cfengine-community/modules/system_update.py" --package_manager=apt_get --campaign_id=update_all --start=2022-07-19T14:04:00+02:00 --end=2022-07-19T17:20:00+02:00 --node_id=root --agent_schedule=5 --reboot': TypeError: 'bool' object is not callable

Actions #6

Updated by Alexis Mousset 2 months ago

  • Status changed from New to In progress
Actions #7

Updated by Alexis Mousset 2 months ago

  • Status changed from In progress to Pending technical review
  • Assignee changed from Alexis Mousset to Nicolas CHARLES
  • Pull Request set to https://github.com/Normation/rudder-techniques/pull/1771
Actions #8

Updated by Alexis Mousset 2 months ago

  • Status changed from Pending technical review to Pending release
Actions #10

Updated by Vincent MEMBRÉ 23 days ago

  • Status changed from Pending release to Released

This bug has been fixed in Rudder 7.2.0~rc1 which was released today.

Actions

Also available in: Atom PDF